# Module: Haml

Defined in:
  lib/haml.rb,
  lib/haml/exec.rb,
  lib/haml/util.rb,
  lib/haml/error.rb,
  lib/haml/buffer.rb,
  lib/haml/engine.rb,
  lib/haml/parser.rb,
  lib/haml/filters.rb,
  lib/haml/helpers.rb,
  lib/haml/options.rb,
  lib/haml/version.rb,
  lib/haml/compiler.rb,
  lib/haml/template.rb,
  lib/haml/escapable.rb,
  lib/haml/generator.rb,
  lib/haml/temple_engine.rb,
  lib/haml/attribute_parser.rb,
  lib/haml/template/options.rb,
  lib/haml/attribute_builder.rb,
  lib/haml/sass_rails_filter.rb,
  lib/haml/attribute_compiler.rb,
  lib/haml/temple_line_counter.rb,
  lib/haml/helpers/safe_erubi_template.rb,
  lib/haml/helpers/safe_erubis_template.rb,
  lib/haml/helpers/action_view_extensions.rb

## Overview

We keep options in its own self-contained file so that we can load it independently in Rails 3, where the full template stuff is lazy-loaded.

## Defined Under Namespace

Modules: AttributeBuilder, AttributeParser, Exec, Filters, Helpers, Template, TempleLineCounter, Util Classes: AttributeCompiler, Buffer, Compiler, Engine, Error, ErubiTemplateHandler, ErubisTemplateHandler, Escapable, Generator, InvalidAttributeNameError, Options, Parser, SafeErubiTemplate, SafeErubisTemplate, SyntaxError, TempleEngine

## Class Method Summary collapse

- .init_rails(*args)

## Class Method Details

### .init_rails(*args)

    16
    17
    18
    19

    # File 'lib/haml.rb', line 16

    def self.init_rails(*args)
      # Maintain this as a no-op for any libraries that may be depending on the
      # previous definition here.
    end